tangram(6)

NAME
tangram - watch the computer solve tangram puzzles.

SYNOPSIS
tangram [-display host:display.screen] [-visual visual] [-window] [-root] [-delay number] [-wireframe] [-viewing_time number] [-rotate]

DESCRIPTION
The tangram program uses a few basic shapes to build silhouettes of recognizable objects.

OPTIONS
tangram accepts the following options:

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-delay number
    Per-frame delay, in microseconds. Default: 10000 (0.01 seconds.).

-wireframe | -no-wireframe
    Render in wireframe instead of solid.

-viewing_time number
    Specify the length of time, in seconds, that the finished puzzle should be displayed. Default: 5

-rotate | -no-rotate
    Rotate the camera around the puzzle.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2005 by Jeremy English. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jeremy English <jhe@jeremyenglish.org>